Name:           perl-Class-C3
Version:        0.19
Release:        2%{?dist}
Summary:        Pragma to use the C3 method resolution order algorithm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-C3/
Source0:        http://www.cpan.org/authors/id/B/BL/BLBLACK/Class-C3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# see rh#205081,rh#204800
%define         __perl_provides %{nil}
Provides:       perl(Class::C3) = %{version}

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Algorithm::C3) >= 0.06
BuildRequires:  perl(Class::C3::XS) >= 0.07
BuildRequires:  perl(Test::Exception) >= 0.15
# testing...
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  perl(Sub::Name)

# missed!
Requires:       perl(Algorithm::C3) >= 0.06
# strictly speaking, this is optional.  However, speed is always nice :)
Requires:       perl(Class::C3::XS) >= 0.07

%description
This is a pragma to change Perl 5's standard method resolution order from 
depth-first left-to-right (a.k.a - pre-order) to the more sophisticated C3 
method resolution order.

%prep
%setup -q -n Class-C3-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(c3)/d; /perl(base)/d'
EOF

%define __perl_requires %{_builddir}/Class-C3-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README opt/ util/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.19-2
- rebuild for new perl

* Wed Oct 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- update to 0.19

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update to 0.18

* Wed May 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- update to 0.17
- BR Class::C3::XS

* Mon Sep 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- update to 0.14

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.13-4
- fix autoprovides, see rh#205801

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.13-3
- bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.13-2
- additional br's, minor spec tweaks

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- Specfile autogenerated by cpanspec 1.69.1.
